package com.swago.baseswago.activity

import androidx.viewbinding.ViewBinding
import com.zy.multistatepage.MultiStateContainer
import com.zy.multistatepage.MultiStatePage

/**
 *@date 2021/8/1 10:30
 *description:
 */
abstract class BaseXActivity<T:ViewBinding> : BaseActivity<T>() {

    lateinit var multiStateContainer: MultiStateContainer

    override fun initView() {
        multiStateContainer = MultiStatePage.bindMultiState(this)

        initOther()
        initLiveData()
        loadData()

    }


    abstract fun loadData()
    abstract fun initOther()
    abstract fun initLiveData()
}